Show / Hide Table of Contents

# Struct GameObjectID

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.Object

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct GameObjectID

### Fields

| Improve this Doc View Source

#### ObjectID

##### Declaration

    public uint ObjectID

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Type

##### Declaration

    public byte Type

##### Field Value

Type | Description
--- | ---
System.Byte |

### Operators

| Improve this Doc View Source

#### Implicit(GameObjectID to Int64)

##### Declaration

    public static implicit operator long (GameObjectID id)

##### Parameters

Type | Name | Description
--- | --- | ---
GameObjectID | id |

##### Returns

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### Implicit(Int64 to GameObjectID)

##### Declaration

    public static implicit operator GameObjectID(long id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int64 | id |

##### Returns

Type | Description
--- | ---
GameObjectID |